# Uses of Class
org.apache.lucene.index.StoredFieldVisitor

Packages that use StoredFieldVisitor
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene90.compressing
Lucene 9.0 compressing format.
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of StoredFieldVisitor in org.apache.lucene.codecs

  Subclasses of StoredFieldVisitor in org.apache.lucene.codecs
  Modifier and Type
  Class
  Description
  `protected class`
  `StoredFieldsWriter.MergeVisitor`
  A visitor that adds every field it sees.

- ## Uses of StoredFieldVisitor in org.apache.lucene.codecs.lucene90.compressing

  Methods in org.apache.lucene.codecs.lucene90.compressing with parameters of type StoredFieldVisitor
  Modifier and Type
  Method
  Description
  `void`
  Lucene90CompressingStoredFieldsReader.`document(int docID, StoredFieldVisitor visitor)`

- ## Uses of StoredFieldVisitor in org.apache.lucene.document

  Subclasses of StoredFieldVisitor in org.apache.lucene.document
  Modifier and Type
  Class
  Description
  `class`
  `DocumentStoredFieldVisitor`
  A `StoredFieldVisitor` that creates a `Document` from stored fields.

- ## Uses of StoredFieldVisitor in org.apache.lucene.index

  Methods in org.apache.lucene.index with parameters of type StoredFieldVisitor
  Modifier and Type
  Method
  Description
  `abstract void`
  StoredFields.`document(int docID, StoredFieldVisitor visitor)`
  Expert: visits the fields of a stored document, for custom processing/loading of each field.